NodeRingsDocs

Rotate Metrics Write Credential

POST
/v1/metrics-write-credentials/{id}:rotate
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Path Parameters

idstring

Response Body

application/json

curl -X POST "https://api.noderings.com/v1/metrics-write-credentials/{id}:rotate" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}" \  -H "Content-Type: application/json" \  -d 'null'
{
  "credential": {
    "id": "string",
    "publicId": "string",
    "name": "string",
    "scopes": [
      "string"
    ],
    "agentId": "string",
    "organizationId": "string",
    "createTime": "2019-08-24T14:15:22Z",
    "expiresAt": "2019-08-24T14:15:22Z",
    "revokedAt": "2019-08-24T14:15:22Z",
    "lastUsedAt": "2019-08-24T14:15:22Z"
  },
  "token": "string"
}